Subject: Re: [PATCH] Avoid accessing a slow working copy during diffcore operations.

From: Shawn Pearce <[email-masked]>
Date: Fri, 15 Dec 2006 10:05:00 -0500

Jakub Narebski <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> 
> > +# Define NO_FAST_WORKING_DIRECTORY if accessing objects in pack files is
> > +# generally faster on your platform than accessing the working directory.
> > +#
> 
> Hmmm... I wonder if generated by autoconf ./configure script can autodetect
> that. Probably not.

I think it would be difficult to perform an automatic performance
test prior to building Git to determine how we should build Git on
the current platform.  Besides, Cygwin users tend to not use the
./configure script as it takes longer than just using the Makefile.

AFAIK the only "OS" which suffers from this problem is Windows.
Anything else that Git has been ported too has reasonably fast
syscalls for file IO, which means this should be unset.

--